﻿
@model IMS_IMS_MODEL.BuildingModel


@*<script src="~/Scripts/toastr.min.js"></script>
    <link href="~/Content/toastr.css" rel="stylesheet" />*@
    <script>
        $('.txtLengthBuilding').keypress(function (event) {
            if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
                event.preventDefault();
            }

        });

        $('.txtWidthBuilding').keypress(function (event) {
            if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
                event.preventDefault();
            }

        });

        $('.txtCoveredAreaBuilding').keypress(function (event) {
            if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
                event.preventDefault();
            }

        });
    </script>


@using (Ajax.BeginForm("Building", "WBS", new AjaxOptions
{
    HttpMethod = "POST",
    OnSuccess = "OnSuccess",
    OnFailure = "OnFailure",
    LoadingElementId = "progress",
    OnComplete = "OnComplete"
}, new { @id = "FormBuilding" }))
{
    @Html.AntiForgeryToken()



    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    <div class="container-fluid">
        <div class="row " style="display:none">
            <div class="form-group green-border-focus col-md-6 ">
                @Html.LabelFor(model => model.Location, "Location", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Location, new { htmlAttributes = new { @class = "form-control locationddlBuilding", @id = "Location" } })
                    @Html.ValidationMessageFor(model => model.Location, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.ItemName, "Item Name", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.ItemName, new { htmlAttributes = new { @class = "form-control itemnameddlBuilding" } })
                    @Html.ValidationMessageFor(model => model.ItemName, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>
        <div class="row ">
            <div class="form-group green-border-focus col-md-6 ">
                @Html.LabelFor(model => model.BuildingName, "Building Name", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.BuildingName, new { htmlAttributes = new { @class = "form-control", placeholder = "Building Name", @id = "BuildingName" } })
                    @*@Html.DropDownListFor(model => model.BuildingName, Enumerable.Empty<SelectListItem>(), "--Select Item Type--", new { @class = "form-control", @id = "ItemType1" })*@
                    @Html.ValidationMessageFor(model => model.BuildingName, "", new { @class = "text-danger" })


                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Length, "Length", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Length, new { htmlAttributes = new { @class = "form-control txtLengthBuilding", placeholder = "Length (in Meter)", @id = "LengthBuilding" } })
                    @*@Html.DropDownListFor(model => model.Length, Enumerable.Empty<SelectListItem>(), "--Select Category--", new { @class = "form-control", @id = "Category1" })*@
                    @Html.ValidationMessageFor(model => model.Length, "", new { @class = "text-danger" })

                </div>
            </div>


        </div>

        <div class="row">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Breadth, "Width", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Breadth, new { htmlAttributes = new { @class = "form-control txtWidthBuilding", placeholder = "Width (in Meter)", @id = "widthBuilding" } })
                    @Html.ValidationMessageFor(model => model.Breadth, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.CoveredArea, "Covered Area (Square Meter)", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.CoveredArea, new { htmlAttributes = new { @class = "form-control txtCoveredAreaBuilding", placeholder = "Covered Area (in Meter)", @id = "CoveredAreaBuilding" } })
                    @Html.ValidationMessageFor(model => model.CoveredArea, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="row">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Quantity, "Quantity", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Quantity, new { htmlAttributes = new { @class = "form-control", placeholder = "Quantity", @id = "Quantity" } })
                    @Html.ValidationMessageFor(model => model.Quantity, "", new { @class = "text-danger" })
                </div>
            </div>


        </div>


        <div class="row">

            <div class="form-group green-border-focus col-md-12">
                @Html.LabelFor(model => model.Description, "Remarks", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">

                    @Html.TextAreaFor(model => model.Description, new { @class = "form-control green-border-focus",@placeholder="Write Something ...", @id = "description", rows = 3, cols = 90, @value = "Description", @title = "Description" })
                    @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                </div>
            </div>

        </div>
        <div class=" col-md-12">
            <div class=" col-md-6">
                <input type="submit" value="Submit Details" class="col-md-offset-6 btn btn-success btn-block" id="btnSubmit" />
            </div>

        </div>




    </div>

}

<hr class="style-eight" />

<div class=" col-md-6 offset-md-4">
    @Html.ActionLink(" Download XLSX File", "ExportSpeardSheetBuilding", "WBS", null, new { @style = "text-transform:capitalize;", @class = "btn btn-success btn-lg  fa fa-file-excel-o large pull-right" })
    <h6 id="ItemName" style="color:Highlight;font-weight:900"><span style="color:Highlight;font-weight:900">ITEM NAME :</span> @ViewBag.BuildingDetails</h6>
</div>
<div class="container-fluid" style="background-color:lightgrey">
    <table class="table table-bordered table-hover table-responsive table-striped" id="MyDataTableBuilding" style="width:100%; text-align:center;border:1px solid">
        <thead>
            <tr style="text-align:center">
                <th style="text-align:center">Item Serial</th>
                @*<th style="text-align:center">Location</th>*@
                @*<th style="text-align:center">Item Name</th>*@
                <th style="text-align:center">Building Name</th>
                <th style="text-align:center">Length</th>
                <th style="text-align:center">Width</th>
                <th style="text-align:center">Covered Area</th>
                <th style="text-align:center">Quantity</th>
                
                <th style="text-align:center">Description</th>
               


            </tr>
        </thead>
        <tbody></tbody>


    </table>
    <div style="text-align:center;display:none" id="loaderDiv">
        <img src="~/Content/images/circle-3.gif" width="70" />
    </div>
</div>

<script>

    $(document).ready(function () {


        $("#loaderDiv").show();
        ShowBuildingDetails();
         $("#MyDataTableBuilding").DataTable().clear();
        $("#MyDataTableBuilding").DataTable().destroy();

    });
    var responseData = '';
    var ShowBuildingDetails = function () {

        $.ajax({

            type: "POST",
            url: "/WBS/ShowBuildingDetails",
            success: function (response) {

                response = JSON.parse(BindDataTableBuilding(response));

                $("#MyDataTableBuilding").append(response)

            }
        });
    }

    var BindDataTableBuilding = function (response) {
       

        $("#MyDataTableBuilding").DataTable({

            "aaData": response,
            "aoColumns": [

                { "mData": "ItemCode" },
                //{ "mData": "Location" },
                //{ "mData": "ItemName" },
                { "mData": "BuildingName" },
                { "mData": "Length" },
                { "mData": "Width" },
                { "mData": "CoveredArea" },
                { "mData": "Quantity" },
                { "mData": "Description" }
                


            ]



        });


        $("#loaderDiv").hide();
    }


</script>


<script>

   $(document).ready(function () {

        var SessionValueLocation = '@Request.RequestContext.HttpContext.Session["location"]';


    if (typeof (Storage) !== "undefined") {
        var ItemNameStore = window.localStorage.getItem('ItemNameStorage');
       // var LocationStore = window.localStorage.getItem('LocationStorage');

        $(".itemnameddlBuilding").val(ItemNameStore);
        $(".locationddlBuilding").val(SessionValueLocation);



    }
    else {
        alert("This browser does  not support local storage");
    }
 });
</script>


<script>

    function OnSuccess(result) {

        console.log(result);
        if (result.result == true) {

            toastr.success("Asset Added Successfully", "Message", { timeOut: 4000 });
            window.localStorage.removeItem("ItemNameStorage");
            window.localStorage.removeItem("LocationStorage");
            setTimeout(function () { location.reload(); }, 500);
        }
        else if (result.result == false) {

            toastr.warning("All Fields are Required !!", "Error Message ", { timeOut: 5000 });
        }
    }


    function OnFailure(result) {

        toastr.error("Something Went Wrong", "Error Message");


    }
    function OnComplete(result) {


        document.getElementById("FormBuilding").reset();


    }


</script>

<script>

    $("#LengthBuilding").keyup(calc);
    $("#widthBuilding").keyup(calc);

    function calc() {

        //$("#AreaofLand").append(
        //    parseFloat($('#LengthLand').val(), 10) + parseFloat($("#WidthLand").val(), 10)
        //);

        var length = parseFloat($('#LengthBuilding').val(), 2);
        var width = parseFloat($('#widthBuilding').val(), 2);

        var result = length * width;
        $("#CoveredAreaBuilding").val(result);

    }
</script>